DEL
/core/accounts/v1/{id}Delete Account
The endpoint /core/accounts/v1/{id} will allow you to delete a specific account. Doing so will change its status to DELETED and it can no longer be used for transactions.
Available parameters
Header Parameters
AuthorizationStringrequired
Path Parameters
idStringrequired
Cuerpo de solicitud
application/jsonstatus_update_motiveenumrequired
status_update_commentstring
Response details
Ejemplo de solicitud
{
"status_update_motive": "OTHER",
"status_update_comment": "Reason for account status update."
}Ejemplo de código
curl -X DELETE "https://api.pomelo.la/core/accounts/v1/example_value" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{
"status_update_motive": "OTHER",
"status_update_comment": "Reason for account status update."
}'Ejemplo de respuesta (200)Account deleted.
{
"data": {
"id": "acc-20I5vMjljS3VEyafcX8lA3T3g0c",
"country": "ARG",
"data": {
"license_owner": "CLIENT"
},
"currency": "ARS",
"metadata": {
"extra_property_1": "My value"
},
"status": "DELETED",
"owner_type": "USER",
"owner_data": {
"client_id": "cli-20I3zwp4JSAZaHWD8s3xqq5eYub",
"user_id": "usr-20I2tIqG3buTsvHKKORrtY2MkFH",
"company_id": "cmp-20I2tIqG3buTsvHKKORrtY2MkFH"
},
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z",
"status_update_motive": "OTHER",
"status_update_comment": "Reason for account status update. It will only be returned when the account update reason is OTHER."
}
}